{ lib, namespace, ... }:
with lib;
{
  options.${namespace}.services.attic = {
    enable = mkEnableOption "attic binary cache daemon";

    port = mkOption {
      type = types.port;
      default = 9012;
      description = "Port for attic cache daemon";
    };

    openFirewall = mkOption {
      type = types.bool;
      default = true;
      description = "Whether to open firewall for attic";
    };

    environmentFile = mkOption {
      type = types.nullOr types.path;
      default = null;
      description = "Path to environment file containing attic secrets";
    };

    listenAddress = mkOption {
      type = types.str;
      default = "[::1]";
      description = "Address to listen on";
    };
  };
}
